<template>
  <q-page class="flex-center">
    <template>
		  <div class="q-pa-md row items-start q-gutter-md">
		  	<q-card>
		      <q-card-section>
		        <div class="text-h3">Agent Management System</div>
		      </q-card-section>
		      <q-separator dark inset />
		    </q-card>
		  </div>
		</template>
  </q-page>
</template>

<script>
export default {
  name: 'PageIndex',
  data() {
		return {
	    tableData: [],
	    example: [
	      {
	        account: "realtech23",
	        contact: "realtech23",
	        currency: "THB",
	        amount: "100.00",
	        valid_amount: "100.00",
	        stake_count: "100.00",
	        gross_commission: "100.00",
	        member_winlose: "100.00",
	        member_commission: "100.00",
	        member_winlose_commission: "100.00",
	        agent_winlose: "100.00",
	        agent_commission: "100.00",
	        agent_winlose_commission: "100.00",
	        senior_winlose: "100.00",
	        senior_commission: "100.00",
	        senior_winlose_commission: "100.00",
	        shareholder_winlose: "100.00",
	        shareholder_commission: "100.00",
	        shareholder_winlose_commission: "100.00",
	        company_winlose: "100.00",
	        company_commission: "100.00",
	        company_winlose_commission: "100.00",
	      },
	    ],
	    columns: [
	      {name: "account", align: "left", label: "account", field: "account", sortable: true},
	      {name: "contact", align: "left", label: "contact", field: "contact", sortable: true},
	      {name: "currency", align: "left", label: "currency", field: "currency", sortable: true},
	      {name: "amount", align: "left", label: "amount", field: "amount", sortable: true},
	      {name: "valid_amount", align: "right", label: "valid_amount", field: "valid_amount", sortable: true},
	      {name: "stake_count", align: "right", label: "stake_count", field: "stake_count", sortable: true},
	      {name: "gross_commission", align: "right", label: "gross_commission", field: "gross_commission", sortable: true},
	      {name: "member_winlose", align: "right", label: "member_winlose", field: "member_winlose", sortable: true},
	      {name: "member_commission", align: "right", label: "member_commission", field: "member_commission", sortable: true},
	      {name: "member_winlose_commission", align: "right", label: "member_winlose_commission", field: "member_winlose_commission", sortable: true},
	      {name: "agent_winlose", align: "right", label: "agent_winlose", field: "agent_winlose", sortable: true},
	      {name: "agent_commission", align: "right", label: "agent_commission", field: "agent_commission", sortable: true},
	      {name: "agent_winlose_commission", align: "right", label: "agent_winlose_commission", field: "agent_winlose_commission", sortable: true},
	      {name: "senior_winlose", align: "right", label: "senior_winlose", field: "senior_winlose", sortable: true},
	      {name: "senior_commission", align: "right", label: "senior_commission", field: "senior_commission", sortable: true},
	      {name: "senior_winlose_commission", align: "right", label: "senior_winlose_commission", field: "senior_winlose_commission", sortable: true},
	      {name: "shareholder_winlose", align: "right", label: "shareholder_winlose", field: "shareholder_winlose", sortable: true},
	      {name: "shareholder_commission", align: "right", label: "shareholder_commission", field: "shareholder_commission", sortable: true},
	      {name: "shareholder_winlose_commission", align: "right", label: "shareholder_winlose_commission", field: "shareholder_winlose_commission", sortable: true},
	      {name: "company_winlose", align: "right", label: "company_winlose", field: "company_winlose", sortable: true},
	      {name: "company_commission", align: "right", label: "company_commission", field: "company_commission", sortable: true},
	      {name: "company_winlose_commission", align: "right", label: "company_winlose_commission", field: "company_winlose_commission", sortable: true},
	    ],
	    separator: "cell",
	    filter: {type: []},
	    role_options: [],
	    group: [ 'op1' ],
      options: [
        {label: 'Option 1', value: 'op1'},
        {label: 'Option 2', value: 'op2'},
        {label: 'Option 3', value: 'op3'}
      ],
      teal: true,
      orange: false,
      red: false,
      cyan: true,
      type_options: [],
      modal_deposit: false,
      modal_withdraw: false,
      form: {},
      member_options: [],
      rules: {
        amount: [{ required: true, message: 'Please input amount', trigger: 'blur' }],
        member: [{required:true, message: 'Please select username',trigger: 'change'}],
      },
	  }

	},
	async created() {
		// console.log(this.$q.sessionStorage.getAll())
    // const columns = Object.keys(this.example[0]);
    // for(let index = 0; index < 20; index++ ) {
    //   let data = {};
    //   data[columns[0]] = "realtech" + Math.floor(1 + Math.random() * 9999999);
    //   data[columns[1]] = data[columns[0]];
    //   data[columns[2]] = "THB";
    //   for(let i = 3; i < columns.length ; i++ ){
    //       data[columns[i]]  = Math.floor(1 + Math.random() * 99999);
    //   }
    //   this.tableData.push(data);
    // }
	},

	methods: {


	}

}
</script>

<style lang="sass">
.my-sticky-header-column-table
  height: 600px
  max-width: 100%

  td:first-child
    background-color: #c1f4cd !important

  tr th
    position: sticky
    z-index: 2
    background: #fff

  thead tr:last-child th
    z-index: 3
  thead tr:first-child th
    top: 0
    z-index: 1
  tr:first-child th:first-child
    z-index: 3

  td:first-child
    z-index: 1

  td:first-child, th:first-child
    position: sticky
    left: 0

</style>

<style type="text/css">
	.el-input{
		width: 200px;
	}

	.el-range-editor.el-input__inner{
		width: 410px;
	}

	body {
		font-size: 11px;
	}

	.q-card__section--vert {
    padding: 6px;
	}
</style>

// Danai321#@!
